Subject: Re: [PATCH linux-next] net: record times of netdev_budget exhausted

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Dec 2022 17:53:14 -0800

On Sat, 3 Dec 2022 16:12:05 +0800 (CST) [email-masked] wrote:
> A long time ago time_squeeze was used to only record netdev_budget
> exhausted[1]. Then we added netdev_budget_usecs to enable softirq
> tuning[2]. And when polling elapsed netdev_budget_usecs, it's also
> record by time_squeeze.
> For tuning netdev_budget and netdev_budget_usecs respectively, we'd
> better distinguish netdev_budget exhausted from netdev_budget_usecs
> elapsed, so add a new recorder to record netdev_budget exhausted.

You're tuning netdev_budget and netdev_budget_usecs ?
You need to say more because I haven't seen anyone do that before.

time_squeeze is extremely noisy and annoyingly useless,
we need to understand exactly what you're doing before
we accept any changes to this core piece of code.